.wrap {
    margin: 0 auto;
    background-color: cornflowerblue;
    height: 500px;
    display: flex;
    flex-direction: column;
    justify-content: center;

}

.sign-in {
    margin: 0 auto;
    background-color: #FFF;
    width: 50%;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border: 1px solid #FFF;
    border-radius: 30px;
    padding: 30px;
}

.sign-in>h3 {
    font-family: 'Courier New', Courier, monospace;
    text-align: center;
    margin-bottom: 30px;
}

.sign-in__input-place {
    display: flex;
    flex-direction: column;
}

.input-typing{
    margin: 6px 10px;
    height: 50px;
    border-radius: 40px;
    border: 1px solid #d3d3d3;
    padding-left: 30px;
}

.sign-in__input-place--checkbox{
    margin-left: 15px;
}

.sign-in__button{
    display: flex;
    flex-direction: column;
    
}

.sign-in__button>button{
    background-color: cornflowerblue;
}

.size-btn{
    padding: 15px;
    width: 400px;
    align-items: center;
    margin: 0 auto;
    border: none;
    border-radius: 40px;
    color: #FFF;
    font-family:monospace;
}

.sign-in__button--line{
    background-color: #d3d3d3;
    width: 24pc;
    margin: 0 auto;
}

.sign-in__button--line::after{
    display: block;
    content: "";
    border: 1px solid #d3d3d3;
}

.google-sign-in{
    background-color: red !important;
}

.facebook-sign-in{
    background-color: blue !important;
}